Block, Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/block-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1512673/000162828026012254/xyz-20251231.htm",
    "holding_balance": 8883.0,
    "holding_net_change": 103.0,
    "transaction_value_usd": 10814000.0,
    "average_entry_value_usd": 104990.29,
    "transaction_value_calculated": false
  },
  {
    "date": 1777334400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://block.xyz/proof-of-reserves",
    "holding_balance": 8997.89,
    "holding_net_change": 114.89,
    "transaction_value_usd": 8770812.8944,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1777507200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/0001512673/000162828026032200/xyz-20260331.htm#fact-identifier-1119",
    "holding_balance": 9032.0,
    "holding_net_change": 34.11,
    "transaction_value_usd": 2603346.4899,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    9032.0
  ],
  [
    1782950400000,
    9032.0
  ],
  [
    1783036800000,
    9032.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    541599815.6
  ],
  [
    1782950400000,
    555358080.5600001
  ],
  [
    1783036800000,
    564734741.68
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 75.28,
    "date": "2026-06-30",
    "high": 78.96,
    "open": 78.94,
    "close": 76.0,
    "volume": 7409401
  },
  {
    "low": 75.115,
    "date": "2026-07-01",
    "high": 77.89,
    "open": 75.585,
    "close": 77.13,
    "volume": 5632150
  },
  {
    "low": 77.66,
    "date": "2026-07-02",
    "high": 81.04,
    "open": 78.45,
    "close": 78.83,
    "volume": 5481406
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.814,
  "quarterly_earnings_growth": -0.939,
  "eps_estimate_current_quarter": 0.676
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 6.31,
  "six_month_return": 20.28,
  "three_month_return": 32.4
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/block-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.2,
  "total_btc_percentage": 0.043,
  "share_price_change_state": "up"
}